## wipe 0.16

=== Makefile ===
# wipe, version 0.15 by Berke Durak
# <durakb@crit2.univ-montp2.fr>, <berke@gsu.linux.org.tr>
#
# define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
# (see open(2))
#
# define HAVE_DEV_URANDOM if /dev/urandom is available; will use a simple
# getpid() ^ clock() like scheme to seed the pseudorandom generator
# otherwise.
#
# define HAVE_RANDOM if the random () library call is available on your
# system.
#
# define HAVE_STRCASECMP if the strcasecmp () library call is available
# on your system.
#
# define REMOVE_ON_INT if you want partially wiped files to be removed
# (unlinked) if the process is interrupted (SIGINT and SIGTERM are caught)
#
# define WEAK_RC6 if you wish to use four-round RC6 instead of the
# standard 20 rounds
#
# define RC6_ENABLED ONLY IF RC6 HAS BEEN ACCEPTED AS THE ADVANCED ENCRYPTION
# STANDARD and if you wish it to be available as a PRNG. WARNING. The RC6
# algorythm is patented by RSADSI; unless it is selected as the AES,
# it requires licensing from RSADSI, and you might expose yourself to legal
# problems if you use it without checking with them. I take no responsibility
# on this. I just implemented it since its specifications were freely available
# and it was easy to implement. by default this is disabled.
#
# define SYNC_WAITS_FOR_SYNC if the sync () system call waits for physical
# i/o to be completed before returning, as under Linux.
#
# define FIND_DEVICE_SIZE_BY_BLKGETSIZE if ioctl BLKGETSIZE is available
# for determinating the block size of a device, as under Linux.
# --------------------------------------------------------------------------
# Linux 2.0.x
#

CC_LINUX=gcc
CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE
# default should be to turn off debugging and to turn on optimization.
CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
#CCO_LINUX+=-DDEBUG -g
CCOC_LINUX=-c

# --------------------------------------------------------------------------
# SunOS 5.5.1
#

CC_SUNOS=gcc
CCO_SUNOS=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_SUNOS=-c


# --------------------------------------------------------------------------
# AIX 4.1
#

CC_AIX=gcc
CCO_AIX=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_AIX=-c

# --------------------------------------------------------------------------
# Generic UNIX (gcc)
#

CC_GENERIC=gcc
CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_GENERIC=-c

# Thanks to Chris L. Mason <cmason@unixzone.com> for these:
#

# --------------------------------------------------------------------------
# Solaris 2.6 sparc
#

CC_SOLARISSP=gcc
CCO_SOLARISSP=-Wall -O6 -pipe -fomit-frame-pointer
CCOC_SOLARISSP=-c

# --------------------------------------------------------------------------
# Solaris 2.6 x86
#

CC_SOLARISX86=gcc
CCO_SOLARISX86=-Wall -O6 -fomit-frame-pointer
CCOC_SOLARISX86=-c

# --------------------------------------------------------------------------
# FreeBSD 2.2.6-STABLE
#

CC_FREEBSD=gcc
CCO_FREEBSD=-Wall -O6 -fomit-frame-pointer
CCOC_FREEBSD=-c

# --------------------------------------------------------------------------
# Digital/Compaq UNIX Alpha
#
# Thanks to Cyrus Durgin for this entry.

CC_DIGITALALPHA=gcc
CCO_DIGITALALPHA=-Wall -O6 -fomit-frame-pointer -DHAVE_OSYNC -DHAVE_STRCASECMP
CCOC_DIGITALALPHA=-c

#

OBJECTS=wipe.o rc6.o arcfour.o md5.o misc.o random.o
TARGETS=wipe wipe.tr-asc.1

all	:	
		@echo "Please type $(MAKE) <system> where <system> can be one of:"; \
		echo "  linux        -- for Linux (kernel 2.0.x or higher)"; \
		echo "  sunos        -- for SunOS (tested on 5.5.1)"; \
		echo "  aix          -- for AIX (tested on 4.2)"; \
		echo "  solarissp    -- for Solaris SPARC (tested on 2.6)"; \
		echo "  solarisx86   -- for Solaris x86 (tested on 2.6)"; \
		echo "  freebsd      -- for FreeBSD (tested on 2.2.6-STABLE)"; \
		echo "  digitalalpha -- for Digital/Compaq UNIX Alpha"; \
		echo "  generic      -- for generic unix"

linux	:	
		$(MAKE) $(TARGETS) "CC=$(CC_LINUX)" "CCO=$(CCO_LINUX)" "CCOC=$(CCOC_LINUX)"

sunos	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SUNOS)" "CCO=$(CCO_SUNOS)" "CCOC=$(CCOC_SUNOS)"

aix	:	
		$(MAKE) $(TARGETS) "CC=$(CC_AIX)" "CCO=$(CCO_AIX)" "CCOC=$(CCOC_AIX)"

freebsd	:	
		$(MAKE) $(TARGETS) "CC=$(CC_FREEBSD)" "CCO=$(CCO_FREEBSD)" "CCOC=$(CCOC_FREEBSD)"

solarissp	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SOLARISSP)" "CCO=$(CCO_SOLARISSP)" "CCOC=$(CCOC_SOLARISSP)"

solarisx86	:	
		$(MAKE) $(TARGETS) "CC=$(CC_SOLARISX86)" "CCO=$(CCO_SOLARISX86)" "CCOC=$(CCOC_SOLARISX86)"

digitalalpha	:	
		$(MAKE) $(TARGETS) "CC=$(CC_DIGITALALPHA)" "CCO=$(CCO_DIGITALALPHA)" "CCOC=$(CCOC_DIGITALALPHA)"

generic	:	
		$(MAKE) $(TARGETS) "CC=$(CC_GENERIC)" "CCO=$(CCO_GENERIC)" "CCOC=$(CCOC_GENERIC)"

wipe	:	$(OBJECTS)
		$(CC) $(CCO) $(OBJECTS) -o wipe

wipe.o	:	wipe.c random.h misc.h
		$(CC) $(CCO) $(CCOC) wipe.c -o wipe.o

random.o	:	random.c misc.h rc6.h md5.h
		$(CC) $(CCO) $(CCOC) random.c -o random.o

rc6.o	:	rc6.c rc6.h
		$(CC) $(CCO) $(CCOC) rc6.c -o rc6.o

arcfour.o	:	arcfour.c arcfour.h
		$(CC) $(CCO) $(CCOC) arcfour.c -o arcfour.o


md5.o	:	md5.c md5.h
		$(CC) $(CCO) $(CCOC) md5.c -o md5.o

misc.o	:	misc.c misc.h
		$(CC) $(CCO) $(CCOC) misc.c -o misc.o

wipe.tr-asc.1	:	wipe.tr.1
			./trtur <wipe.tr.1 >wipe.tr-asc.1

clean	:	
		rm -f wipe $(OBJECTS) wipe.tr-asc.1 *~ DEADJOE core

## wipe 0.20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-# wipe, version 0.15 by Berke Durak
-# <durakb@crit2.univ-montp2.fr>, <berke@gsu.linux.org.tr>
+# Makefile for wipe, version 0.20, by Berke Durak
+# $Id: Makefile,v 1.2 2004/06/12 17:49:47 berke Exp $
+# echo berke1altern2org|tr 12 @.
 #
 # define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
 # (see open(2))
@@ -14,8 +15,8 @@
 # define HAVE_STRCASECMP if the strcasecmp () library call is available
 # on your system.
 #
-# define REMOVE_ON_INT if you want partially wiped files to be removed
-# (unlinked) if the process is interrupted (SIGINT and SIGTERM are caught)
+# the REMOVE_ON_INT option has been removed since version 0.17,
+# as it is difficult to maintain and has no significant purpose IMHO.
 #
 # define WEAK_RC6 if you wish to use four-round RC6 instead of the
 # standard 20 rounds
@@ -33,14 +34,18 @@
 #
 # define FIND_DEVICE_SIZE_BY_BLKGETSIZE if ioctl BLKGETSIZE is available
 # for determinating the block size of a device, as under Linux.
+# 
+# define SIXTYFOUR,__USE_LARGEFILE and __USE_FILE_OFFSET64 to be able to
+# wipe devices or files greater than 4Gb (works under Linux)
 # --------------------------------------------------------------------------
 # Linux 2.0.x
 #
 
 CC_LINUX=gcc
-CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE
+CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE -DSIXTYFOUR -D__USE_LARGEFILE -D__USE_FILE_OFFSET64
 # default should be to turn off debugging and to turn on optimization.
-CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
+#CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
+CCO_LINUX+=$(CFLAGS)
 #CCO_LINUX+=-DDEBUG -g
 CCOC_LINUX=-c
 
@@ -58,7 +63,7 @@
 #
 
 CC_AIX=gcc
-CCO_AIX=-Wall -O6 -pipe -fomit-frame-pointer
+CCO_AIX=$(CFLAGS)
 CCOC_AIX=-c
 
 # --------------------------------------------------------------------------
@@ -66,7 +71,7 @@
 #
 
 CC_GENERIC=gcc
-CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer
+CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 CCOC_GENERIC=-c
 
 # Thanks to Chris L. Mason <cmason@unixzone.com> for these:
@@ -107,7 +112,7 @@
 
 #
 
-OBJECTS=wipe.o rc6.o arcfour.o md5.o misc.o random.o
+OBJECTS=wipe.o arcfour.o md5.o misc.o random.o
 TARGETS=wipe wipe.tr-asc.1
 
 all	:	
@@ -151,7 +156,7 @@
 wipe.o	:	wipe.c random.h misc.h
 		$(CC) $(CCO) $(CCOC) wipe.c -o wipe.o
 
-random.o	:	random.c misc.h rc6.h md5.h
+random.o	:	random.c misc.h md5.h
 		$(CC) $(CCO) $(CCOC) random.c -o random.o
 
 rc6.o	:	rc6.c rc6.h
@@ -172,3 +177,6 @@
 
 clean	:	
 		rm -f wipe $(OBJECTS) wipe.tr-asc.1 *~ DEADJOE core
+
+install:
+	install -m755 -o root -g root wipe $(DESTDIR)/usr/bin

## wipe 0.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Makefile for wipe, version 0.20, by Berke Durak
+# Makefile for wipe, version 0.21, by Berke Durak
 # $Id: Makefile,v 1.2 2004/06/12 17:49:47 berke Exp $
-# echo berke1altern2org|tr 12 @.
+# echo berke1ouvaton2org|tr 12 @.
 #
 # define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
 # (see open(2))

## wipe 0.22

=== debian/changelog ===
wipe (0.22-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: changed from 'and' to 'or' in License field in GPL text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 11:21:50 -0300

wipe (0.22-2) experimental; urgency=medium

  * New co-maintainer.
  * Updated DH level to 9.
  * Renaming:
      - From: wipe.dirs, wipe.docs, wipe.examples, wipe.manpages.
      - To: dirs, docs, examples, manpages.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description (added the forensics word).
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated the copyright years and names.
      - Updated the upstream email address.
  * debian/patches/002-add-hardening: added to enable the GCC hardening.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Little adjustment in CFLAGS.
  * debian/watch: improved and added the GitHub as a future possibility.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Feb 2015 22:21:36 -0300

wipe (0.22-1) unstable; urgency=low

  * Team upload.
  * New upstream release 
  * Switch to debhelper 8
  * Update to standards 3.9.2 
  * Switch to 3.0 (quilt) source package format 
  * Remove useless lintian overrides (use dch --team to avoid Lintian
    warnings) 
  * Add patch to fix manpages syntax 
  * Update VCS-* fields 
  * Update copyright information and fix DEP-5 syntax 

 -- Julien Valroff <julien@debian.org>  Sat, 17 Sep 2011 09:26:40 +0200

wipe (0.21-9) unstable; urgency=low

  * Minimizing rules file.
  * Setting uploaders to Christophe.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 21:12:43 +0200

wipe (0.21-8) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Updating upstream homepage.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:55:00 +0200

wipe (0.21-7) unstable; urgency=low

  * Updating vcs fields.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.
  * Tidy rules file.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:58:30 +0200

wipe (0.21-6) unstable; urgency=low

  * Fixing git-dch email address misstake.
  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control file.
  * Adding full license headers to copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:18:43 +0200

wipe (0.21-5) unstable; urgency=low

  * Removing useless whitespaces.
  * Bumping package to debhelper 6.
  * Setting maintainer to Debian Forensics.
  * Adding vcs fields in control.
  * Rewritten copyright in machine readable form.
  * Reordering rules.

 -- Daniel Baumann <daniel@debian.org>  Fri, 22 Feb 2008 10:03:00 +0100

wipe (0.21-4) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Removing non-existing distclean call in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 21:05:00 +0100

wipe (0.21-3) unstable; urgency=low

  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 13:13:00 +0200

wipe (0.21-2) unstable; urgency=low

  * New maintainer.
  * Adjusted debian/* to my own customs.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Oct 2006 13:10:00 +0200

wipe (0.21-1) unstable; urgency=low

  * Acknowledge the changes made in the NMU 0.20-2.1. Thanks to Max Kellermann
    for the patch and Alexander Wirt for the NMU!
    Closes: Bug#383467
  * The NMU patch for Bug#383467 are now incorporated upstream.
  * debian/README.Debian: removed because upstream removed the files rc6.c,
    rc6.h and secure_del.html from the tarball. Now the Debian tar.gz no
    longer differs from the upstream .tar.gz.
  * debian/control: Bumped Standards-Version to 3.7.2. No changes required.

 -- Thomas Schoepf <schoepf@debian.org>  Sat, 23 Sep 2006 13:02:56 +0200

wipe (0.20-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixes build-target detection, use off_t for length (Closes: #383467).
    Thanks to Max Kellermann for the patches

 -- Alexander Wirt <formorer@debian.org>  Sat, 16 Sep 2006 19:03:59 +0200

wipe (0.20-2) unstable; urgency=low

  * Closes: #354734: typo in wipe.1 man page
  * debian/control: Bumped Standards-Version to 3.6.2
  * debian/control: build-depend on debhelper >= 4.0
  * debian/rules: dh_compat = 4

 -- Thomas Schoepf <schoepf@debian.org>  Mon, 13 Mar 2006 11:14:46 +0100

wipe (0.20-1) unstable; urgency=low

  * New upstream version.
  * This version includes the patch written by Jim Paris for large file
    support. Thanks!
    Closes: #190100: wipe 0.18-1 cannot overwrite files/block devices >4 GB
    Closes: #252428: Only wipes beginning of a device.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 13 Jun 2004 11:50:12 +0200

wipe (0.19.20030913-1) unstable; urgency=low

  * New upstream version.
  * Upgraded Standards-Version to 3.6.1. No changes required.
  * Includes updates for Bug#190100: wipe 0.18-1 cannot overwrite files/block
    devices >4 GB
    I am unable to test them so I do not yet close the bug.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 28 Sep 2003 23:14:15 +0200

wipe (0.18-1) unstable; urgency=low

  * New upstream version.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 02 Feb 2003 15:18:07 +0100

wipe (0.17-2) unstable; urgency=low

  * wipe has a new homepage and upstream a new email address.
  * wipe.c: restored check for "." and ".." in recursive()
    Closes: #179381: wipe: traverse parent directories check lost
      in upgrade

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 02 Feb 2003 12:17:17 +0100

wipe (0.17-1) unstable; urgency=low


=== debian/control ===
Source: wipe
Section: utils
Priority: extra
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://lambda-diode.com/software/wipe
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/wipe.git
Vcs-Git: git://anonscm.debian.org/forensics/wipe.git

Package: wipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: secure file deletion
 Recovery of supposedly erased data from magnetic media is easier than what many
 people would like to believe. A technique called Magnetic Force Microscopy
 (MFM) allows any moderately funded opponent to recover the last two or three
 layers of data written to disk. Wipe repeatedly writes special patterns to the
 files to be destroyed, using the fsync() call and/or the O_SYNC bit to force
 disk access.
 .
 This program is useful in anti-forensics and security activities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

ifeq ($(DEB_HOST_GNU_SYSTEM), linux-gnu)
	target = linux
else
	target = generic
endif

CFLAGS += -Wall -g -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -pipe -fomit-frame-pointer
	ifeq ($(target), generic)
		CFLAGS += -O6
	else
		CFLAGS += -O9 -finline-functions -funroll-loops -fstrength-reduce
	endif
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(target) CFLAGS="$(CFLAGS)"

## wipe 0.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Makefile for wipe, version 0.21, by Berke Durak
-# $Id: Makefile,v 1.2 2004/06/12 17:49:47 berke Exp $
-# echo berke1ouvaton2org|tr 12 @.
+# Makefile for wipe by Berke Durak
+# 
+# echo berke1lambda-diode2com|tr 12 @.
 #
 # define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
 # (see open(2))
@@ -42,10 +42,10 @@
 #
 
 CC_LINUX=gcc
-CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE -DSIXTYFOUR -D__USE_LARGEFILE -D__USE_FILE_OFFSET64
+CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE -DSIXTYFOUR -D__USE_LARGEFILE -D_FILE_OFFSET_BITS=64
 # default should be to turn off debugging and to turn on optimization.
 #CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
-CCO_LINUX+=$(CFLAGS)
+CCO_LINUX+=$(CFLAGS) $(LDFLAGS) $(CPPFLAGS)
 #CCO_LINUX+=-DDEBUG -g
 CCOC_LINUX=-c
 
@@ -71,7 +71,7 @@
 #
 
 CC_GENERIC=gcc
-CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(CFLAGS) $(LDFLAGS) $(CPPFLAGS)
 CCOC_GENERIC=-c
 
 # Thanks to Chris L. Mason <cmason@unixzone.com> for these:
@@ -153,8 +153,15 @@
 wipe	:	$(OBJECTS)
 		$(CC) $(CCO) $(OBJECTS) -o wipe
 
-wipe.o	:	wipe.c random.h misc.h
+wipe.o	:	wipe.c random.h misc.h version.h
 		$(CC) $(CCO) $(CCOC) wipe.c -o wipe.o
+
+version.h: always
+		if which git >/dev/null 2>&1 ; then \
+			git rev-list --max-count=1 HEAD | sed -e 's/^/#define WIPE_GIT "/' -e 's/$$/"/' >version.h ; \
+	  else \
+			echo '#define WIPE_GIT "(unknown, compiled without git)"' >version.h ; \
+	  fi
 
 random.o	:	random.c misc.h md5.h
 		$(CC) $(CCO) $(CCOC) random.c -o random.o
@@ -164,7 +171,6 @@
 
 arcfour.o	:	arcfour.c arcfour.h
 		$(CC) $(CCO) $(CCOC) arcfour.c -o arcfour.o
-
 
 md5.o	:	md5.c md5.h
 		$(CC) $(CCO) $(CCOC) md5.c -o md5.o
@@ -176,7 +182,9 @@
 			./trtur <wipe.tr.1 >wipe.tr-asc.1
 
 clean	:	
-		rm -f wipe $(OBJECTS) wipe.tr-asc.1 *~ DEADJOE core
+		rm -f wipe $(OBJECTS) wipe.tr-asc.1 version.h
 
 install:
 	install -m755 -o root -g root wipe $(DESTDIR)/usr/bin
+
+.PHONY: always clean install

=== debian/changelog ===
wipe (0.24-9) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.1.
  * debian/watch: updated search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 29 Oct 2021 00:16:17 -0300

wipe (0.24-8) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/:
      - Added a leading zero to all patch names.
      - 010_hide-filenames.patch: added fields Origin and Forwarded.
      - 020_fix-warnings.patch: added field Forwarded.
      - 030_fix-spelling.patch: added field Forwarded.
      - 040_fix-spellings-manpage.patch: added field Forwarded.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Aug 2021 14:33:44 -0300

wipe (0.24-7) unstable; urgency=medium

  * debian/control: migrated DH level to 13.
  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Sep 2020 00:24:07 -0300

wipe (0.24-6) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 20:01:11 -0300

wipe (0.24-5) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added packaging rights for Samuel Henrique.
      - Updated packaging copyright years.
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/patches/40_fix-spellings-manpage.patch: created to fix some spelling
    errors in manpage.
  * debian/rules: added an override to remove a duplicate manpage.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Feb 2020 09:58:42 -0300

wipe (0.24-4) unstable; urgency=medium

  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
  * debian/patches/:
      - 30_fix-spelling.patch: added to fix a spelling  error in final binary.
      - 50_hide-filenames.patch: renamed to 10_hide-filenames.patch.
      - 60_fix-warnings.patch: renamed to 20_fix-warnings.patch.
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Nov 2018 18:11:21 -0200

wipe (0.24-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix cross-builds by telling the build system to use our CC.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #901176)
  * Use /usr/share/dpkg/architecture.mk instead of querying dpkg-architecture
    ourselves
  * Re-enable patch to fix compiler warnings
  * Refresh all patches
  * Change priority to optional
  * Bump Standards-Version to 4.2.1 and debhelper compat level to 11.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 02 Sep 2018 14:50:52 +0200

wipe (0.24-2) unstable; urgency=medium

  * debian/copyright: removed an outdated upstream email address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 19:55:39 -0200

wipe (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * New upstream homepage.
  * debian/copyright:
      - Updated the header.
      - Updated the upstream copyright years.
  * debian/patches/:
      - Removed the following patches because the upstream fixed the source
        code (thanks Berke).
          ~ 10_add-hardening.patch
          ~ 20_fix-manpage.patch
          ~ 30_fix-spelling-binary.patch
          ~ 40-fix_warnings.patch
  * debian/README.source: removed. The upstream is alive again. So, the
    explanation provided by this file is useless now.
  * debian/watch: updated to use the GitHub as source.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Nov 2016 12:29:42 -0200

wipe (0.22-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Improved the long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/:
      - 001_fix-manpages.diff: removed. No longer necessary escape hyphens in
        manpages.
      - 002-add-hardening: renamed to 10_add-hardening.patch.
      - 20_fix-manpage.patch:
          ~ Added to fix a spelling error and remove invalid macro SP.
          ~ Fix a wrong example. Thanks to (No Name)
            <petes-bugs@thegoldenear.org>. (Closes: #411971)
          ~ Make clearer the -Q option use. (LP: #801472)
          ~ Make the man page clear about number of default passes. For this,
            thanks to Runa Sandvik <runa.sandvik@gmail.com> (Closes: #544774)
      - 30_fix-spelling-binary.patch: added to fix a spelling error in final
        binary.
      - 40-fix_warnings.patch: added to fix some GCC warnings.
      - 50_hide-filenames.patch: added to really delete filenames of deleted
        files. Thanks to Timo Boettcher <timo.boettcher@redteam-pentesting.de,
        debian@timoboettcher.name> (Closes: #726388)
      - 60_fix-warnings.patch: added to fix some GCC warnings in previous
        patch.


=== debian/control ===
Source: wipe
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Rules-Requires-Root: binary-targets
Homepage: https://github.com/berke/wipe
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wipe
Vcs-Git: https://salsa.debian.org/pkg-security-team/wipe.git

Package: wipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: secure file deletion
 Recovery of supposedly erased data from magnetic media is easier than
 what many people would like to believe. A technique called Magnetic
 Force Microscopy (MFM) allows any moderately funded opponent to recover
 the last two or three layers of data written to disk. Wipe repeatedly
 writes special patterns to the files to be destroyed, using the fsync()
 call and/or the O_SYNC bit to force disk access.
 .
 Wipe can permanently delete data in hard disks and flash drives (caution!
 several writes can damage solid medias).
 .
 This program is useful in anti-forensics and security activities.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Define the OS
ifeq ($(DEB_HOST_GNU_SYSTEM), linux-gnu)
        target = linux CC_LINUX='$$(CC)'
else ifeq ($(DEB_HOST_GNU_SYSTEM), kfreebsd-gnu)
        target = freebsd CC_FREEBSD='$$(CC)'
else
        target = generic CC_GENERIC='$$(CC)'
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(target)

override_dh_installman:
	dh_installman
	rm debian/wipe/usr/share/man/man1/wipe.tr-asc.1

=== debian/tests/control ===
Test-Command: wipe -h
Restrictions: allow-stderr, superficial

Test-Command: echo ok > $AUTOPKGTEST_TMP/test && wipe -fq $AUTOPKGTEST_TMP/test
Restrictions: allow-stderr
